Get API key

    Reference/Runs

    GET/v1/runs

    List worker run summaries

    Same style of summaries as the Worker page in the app. No params.

    Full URL

    GET https://api.tryleadreach.com/v1/runs

    Headers

    • X-Api-Key (required): your API key from the app Keys tab.

    Path params (in the URL)

    None

    Query params (after ?)

    None

    Request body (JSON)

    None

    Example request (JSON)

    What you send: headers, and path / query / body when used.

    {
      "headers": {
        "X-Api-Key": "lr_your_key_here"
      }
    }

    Example response (JSON)

    Typical successful response shape.

    {
      "runs": [
        {
          "campaignId": "c1111111-1111-1111-1111-111111111111",
          "agentId": "a1111111-1111-1111-1111-111111111111",
          "agentName": "Outbound",
          "status": "running",
          "doing": "Finding leads"
        }
      ]
    }

    Response

    JSON with a "runs" array (agent, status, doing, timing, …).

    Credits

    0